Bug 975127 (CVE-2013-2407) - CVE-2013-2407 OpenJDK: Integrate Apache Santuario, rework class loader (Libraries, 6741606, 8008744)
Summary: CVE-2013-2407 OpenJDK: Integrate Apache Santuario, rework class loader (Libra...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2407
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130618,repor...
Depends On:
Blocks: 973111
TreeView+ depends on / blocked
 
Reported: 2013-06-17 16:33 UTC by Stefan Cornelius
Modified: 2019-06-08 19:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 16:12:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0957 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-06-20 04:03:33 UTC
Red Hat Product Errata RHSA-2013:0958 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-06-20 04:03:25 UTC
Red Hat Product Errata RHSA-2013:0963 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:09:17 UTC
Red Hat Product Errata RHSA-2013:1014 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-07-03 21:08:42 UTC
Red Hat Product Errata RHSA-2013:1059 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:09:07 UTC
Red Hat Product Errata RHSA-2013:1060 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-13 16:13:46 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC

Description Stefan Cornelius 2013-06-17 16:33:58 UTC
It was discovered that the Libraries component contained certain errors related to XML security and the class loader. A remote attacker could possibly exploit this flaw to disclose potentially sensitive information and cause a denial of service.

Comment 1 Jan Lieskovsky 2013-06-19 13:30:52 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html

Comment 2 errata-xmlrpc 2013-06-20 00:06:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html

Comment 3 errata-xmlrpc 2013-06-20 00:10:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html

Comment 5 errata-xmlrpc 2013-06-20 14:53:44 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html

Comment 6 errata-xmlrpc 2013-07-03 17:12:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html

Comment 7 errata-xmlrpc 2013-07-15 20:44:03 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html

Comment 8 errata-xmlrpc 2013-07-15 20:54:07 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html

Comment 10 errata-xmlrpc 2013-10-23 16:44:25 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 11 errata-xmlrpc 2013-10-23 16:55:00 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Comment 12 errata-xmlrpc 2014-04-17 11:34:42 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html


Note You need to log in before you can comment on or make changes to this bug.